GET V1/Exceptions.{ext}/ExceptionBillDetails?accountNbr={accountNbr}&pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
accountNbr

No description available

string

Required

pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Exceptions.Entities.ExceptionBillDetail
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Exceptions.Entities.ExceptionBillDetail

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ExceptionBillDetail",
  "response": {
    "siteGroup": "sample string 1",
    "siteNumber": "sample string 2",
    "storeType": "sample string 3",
    "vendorName": "sample string 4",
    "billId": "sample string 5",
    "accountNumber": "sample string 6",
    "billNumber": "sample string 7",
    "deviceName": "sample string 8",
    "billMonth": "sample string 9",
    "startDate": "sample string 10",
    "endDate": "sample string 11",
    "daysOfService": "sample string 12",
    "paymentReferenceDate": "sample string 13",
    "paymentReferenceNumber": "sample string 14",
    "lateFee": "sample string 15",
    "dueDate": "sample string 16",
    "createdDate": "sample string 17",
    "utility": "sample string 18",
    "billAmount": 19.0,
    "currentCharges": 20.0,
    "amountPaid": "sample string 21",
    "usageType": "sample string 22",
    "totalUsage": 23.0,
    "createdMonth": "sample string 24"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.